Skip to main content
`Ctrl`+`K`

# PetscHMapIVAddValue

Add value to the value of a given key if the key exists, otherwise, insert a new (key,value) entry in the hash table

## Synopsis

    #include <petsc/private/hashmapiv.h>
    PetscErrorCode PetscHMapIVAddValue(PetscHMapT ht,PetscInt key,PetscScalar val)

## Input Parameters

- ht - The hash table

- key - The key

- val - The value

## See Also

`PetscHMapIVGet()`, `PetscHMapIVIterSet()`, `PetscHMapIVSet()`

## Level

developer

## Location

include/petsc/private/hashmapiv.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages